<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:overScrollMode="never"
    android:background="@color/white_bg">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:gravity="center_horizontal"
        >

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/choose_a_role"
            android:fontFamily="@font/nunito_bold"
            android:textColor="#131313"
            android:textSize="@dimen/_24ssp"

            android:layout_marginTop="40dp"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="@dimen/_14ssp"
            android:textColor="#2C2C2C"
            android:text="@string/choose_role_description"
            android:fontFamily="@font/nunito_regular"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="10dp"
            android:textAlignment="center"
            />

        <com.google.android.material.card.MaterialCardView
            android:id="@+id/senior_role"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="50dp"
            app:cardCornerRadius="10dp"
            app:cardElevation="3dp"
            app:strokeColor="#AEE0FF"
            app:strokeWidth="0.5dp"
            app:cardBackgroundColor="@color/white_bg"
            >

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <ImageView
                    android:id="@+id/senior_img"
                    android:layout_width="100dp"
                    android:layout_height="100dp"
                    android:layout_marginStart="15dp"
                    android:layout_marginTop="15dp"
                    android:layout_marginEnd="15dp"
                    android:layout_marginBottom="15dp"
                    android:background="@drawable/icon_bg"
                    android:contentDescription="@string/senior"
                    android:src="@drawable/senior_img" />

                <TextView
                    android:id="@+id/senior_tv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/senior"
                    android:textColor="@color/black"
                    android:layout_toEndOf="@id/senior_img"
                    android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
                    android:fontFamily="@font/nunito_semibold"
                    android:layout_alignTop="@id/senior_img"
                    android:layout_marginHorizontal="5dp"
                    />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/senior_tv"
                    android:layout_toEndOf="@id/senior_img"
                    android:text="@string/you_are_seeking_assistance_and_care"
                    android:textColor="@color/black"
                    android:layout_marginHorizontal="5dp"
                    android:layout_marginTop="15dp"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                    android:fontFamily="@font/nunito_regular"/>

                <ImageView
                    android:id="@+id/senior_check"
                    android:visibility="gone"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/green_check"
                    android:contentDescription="@string/caregiver"
                    android:layout_alignParentEnd="true"
                    android:layout_marginVertical="20dp"
                    android:layout_marginHorizontal="15dp"
                    />

            </RelativeLayout>

        </com.google.android.material.card.MaterialCardView>

        <com.google.android.material.card.MaterialCardView
            android:id="@+id/caregiver_role"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="30dp"
            app:cardCornerRadius="10dp"
            app:cardElevation="3dp"
            app:strokeColor="#AEE0FF"
            app:strokeWidth="0.5dp"
            app:cardBackgroundColor="@color/white_bg"
            >

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <ImageView
                    android:id="@+id/caregiver_img"
                    android:layout_width="100dp"
                    android:layout_height="100dp"
                    android:contentDescription="@string/caregiver"
                    android:layout_marginStart="15dp"
                    android:layout_marginTop="15dp"
                    android:layout_marginEnd="15dp"
                    android:layout_marginBottom="15dp"
                    android:background="@drawable/icon_bg"
                    android:src="@drawable/caregiver_img" />

                <TextView
                    android:id="@+id/caregiver_tv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/caregiver"
                    android:textColor="@color/black"
                    android:layout_toEndOf="@id/caregiver_img"
                    android:textAppearance="@style/TextAppearance.Material3.TitleLarge"
                    android:fontFamily="@font/nunito_semibold"
                    android:layout_alignTop="@id/caregiver_img"
                    android:layout_marginHorizontal="5dp"
                    />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/caregiver_tv"
                    android:layout_toEndOf="@id/caregiver_img"
                    android:text="@string/you_are_caring_for_your_loved_one"
                    android:textColor="@color/black"
                    android:layout_marginHorizontal="5dp"
                    android:layout_marginTop="15dp"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                    android:fontFamily="@font/nunito_regular"/>

                <ImageView
                    android:id="@+id/caregiver_check"
                    android:visibility="gone"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/green_check"
                    android:contentDescription="@string/caregiver"
                    android:layout_alignParentEnd="true"
                    android:layout_marginVertical="20sp"
                    android:layout_marginHorizontal="15dp"
                    />

            </RelativeLayout>

        </com.google.android.material.card.MaterialCardView>

    </LinearLayout>

</ScrollView>